For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
      • GETRetrieve a Verification
      • DELRedact a Verification
      • GETPrint Verification PDF
      • AAMVA Verifications
      • eCBSV Database Verifications
      • Phone Carrier Database Verifications
      • Serpro Database Verifications
      • Tin Database Verifications
      • Database Verifications
      • Database Standard Verifications
      • Document Verifications
      • Email Address Verifications
      • Government ID Verifications
      • Government ID NFC Verifications
      • Phone Number Verifications
      • Selfie Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceVerifications

Redact a Verification

DELETE
https://api.withpersona.com/api/v1/verifications/:verification-id
DELETE
/api/v1/verifications/:verification-id
$curl -X DELETE https://api.withpersona.com/api/v1/verifications/verification-id \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "type": "verification/government-id",
4 "attributes": {
5 "address-city": null,
6 "address-postal-code": null,
7 "address-street-1": null,
8 "address-street-2": null,
9 "address-subdivision": null,
10 "back-photo-url": null,
11 "birthdate": null,
12 "capture-method": null,
13 "checks": [],
14 "completed-at": null,
15 "country-code": null,
16 "created-at": "2019-11-15T21:24:24.000Z",
17 "endorsements": null,
18 "entity-confidence-reasons": [],
19 "entity-confidence-score": null,
20 "expiration-date": null,
21 "front-photo-url": null,
22 "height": null,
23 "id-class": null,
24 "identification-number": null,
25 "issue-date": null,
26 "issuing-authority": null,
27 "name-first": null,
28 "name-last": null,
29 "name-middle": null,
30 "restrictions": null,
31 "selfie-photo-url": null,
32 "sex": null,
33 "status": "passed",
34 "tags": [],
35 "vehicle-class": null
36 },
37 "id": "ver_7f6w4qu7KK7gjjtgp7nAixHd",
38 "relationships": {
39 "inquiry": {}
40 }
41 }
42}

Permanently deletes personally identifiable information (PII) for a Verification. This action cannot be undone. This endpoint can be used to comply with privacy regulations such as GDPR / CCPA or to enforce data privacy.

Was this page helpful?
Previous

Print Verification PDF

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

verification-idstringRequired

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Response

This endpoint returns a Verification object and (optionally) its related objects in included.

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.